 
if not string.match( m_simpleTV.Control.CurrentAdress, '^ntvplus=%d+' ) then return end

 --m_simpleTV.OSD.ShowMessage("NTV Plus event - " .. m_simpleTV.Control.Reason,0xFF00)
 if m_simpleTV.Control.Reason=='Error' or m_simpleTV.Control.Reason=='Timeout' then

   m_simpleTV.User.NTVPlus.Table = nil
   dofile(m_simpleTV.MainScriptDir .. "user/tvplaylists/ntv/getaddress.lua") 

   if m_simpleTV.User.NTVPlus.Table == nil then
         m_simpleTV.Control.Action =  'stop'
	 m_simpleTV.Control.EventPlayingInterval=0
         m_simpleTV.Control.EventTimeOutInterval=0  
	return
   end

   m_simpleTV.Control.Action =  'repeat'
  return
end 

 if m_simpleTV.Control.Reason=='Playing' then
   m_simpleTV.Control.EventPlayingInterval=0
   m_simpleTV.Control.EventTimeOutInterval=0  
end


